View Issue Details

IDProjectCategoryView StatusLast Update
0012407CentOS-7iputilspublic2017-03-13 06:16
Reporterquangvu1991 
PrioritynormalSeverityminorReproducibilityN/A
Status newResolutionopen 
PlatformLinuxOSCentOSOS Version7.3
Product Version7.3.1611 
Target VersionFixed in Version 
Summary0012407: Cannot ping after update
Descriptioni've an VPS running CentOS 7.3.1611 minimal installed
Before update: iputils 20121221-7.el7 --> i can ping
After run: yum update --> iputils 20160308-8.el7 --> i cannot ping anymore and get "ping: socket: Address family not supported by protocol"

TagsNo tags attached.
abrt_hash
URL

Activities

quangvu1991

quangvu1991

2016-12-16 08:31

reporter  

2016-12-16_15-24-26.png (40,084 bytes)
2016-12-16_15-24-26.png (40,084 bytes)
quangvu1991

quangvu1991

2016-12-16 08:56

reporter   ~0028161

i've remove iputils package end reinstall version 20121221-7.el7 and i can ping

2016-12-16_15-47-43.png (55,461 bytes)
2016-12-16_15-47-43.png (55,461 bytes)
Pascal666

Pascal666

2017-03-03 07:42

reporter   ~0028747

20160308-8 appears to work fine on physical boxes and under LXC, but does not work for IPv4 under OpenVZ. I tried several VPSs, all running under 2.6.32-042stab116.2 and they all had the same problem:

# ping 8.8.8.8
ping: socket: Address family not supported by protocol
# ping 127.0.0.1
ping: socket: Address family not supported by protocol
# ping -4 127.0.0.1
ping: socket: Address family not supported by protocol

Downgrading to 20121221-7 fixed the problem. Downgrade instructions:

yum downgrade http://vault.centos.org/7.2.1511/os/x86_64/Packages/iputils-20121221-7.el7.x86_64.rpm
add "exclude=iputils" to "[base]" section of /etc/yum.repos.d/CentOS-Base.repo to prevent the broken version from being automatically reinstalled.
edpart2000

edpart2000

2017-03-13 06:16

reporter   ~0028839

I am running Centos 7 on OpenVZ container and last answer of Pascal666 it worked for me.

yum downgrade http://vault.centos.org/7.2.1511/os/x86_64/Packages/iputils-20121221-7.el7.x86_64.rpm
add "exclude=iputils" to "[base]" section of /etc/yum.repos.d/CentOS-Base.repo to prevent the broken version from being automatically reinstalled.

Thank you.

Issue History

Date Modified Username Field Change
2016-12-16 08:31 quangvu1991 New Issue
2016-12-16 08:31 quangvu1991 File Added: 2016-12-16_15-24-26.png
2016-12-16 08:56 quangvu1991 File Added: 2016-12-16_15-47-43.png
2016-12-16 08:56 quangvu1991 Note Added: 0028161
2017-03-03 07:42 Pascal666 Note Added: 0028747
2017-03-13 06:16 edpart2000 Note Added: 0028839